## EXPORT_SPEC int UpnpUnRegisterRootDevice

## ( IN UpnpDevice_Handle )

> Unregisters a root device registered with UpnpRegisterRootDevice or UpnpRegisterRootDevice2.

## Documentation

> Unregisters a root device registered with UpnpRegisterRootDevice or UpnpRegisterRootDevice2. After this call, the UpnpDevice_Handle is no longer valid. For all advertisements that have not yet expired, the SDK sends a device unavailable message automatically.

> UpnpUnRegisterRootDevice is a synchronous call and generates no callbacks. Once this call returns, the SDK will no longer generate callbacks to the application.

Parameters:
  - UpnpDevice_Handle The handle of the root device instance to unregister.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid device handle.

Alphabetic index

This page was generated with the help of DOC++.